local f = CreateFrame("frame")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:RegisterEvent("ZONE_CHANGED")
f:RegisterEvent("ZONE_CHANGED_INDOORS", "ZONE_CHANGED")
f:RegisterEvent("ZONE_CHANGED_NEW_AREA", "ZONE_CHANGED")
f:RegisterEvent("PLAYER_XP_UPDATE")

local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local SoW_CLUZG_Broker = ldb:NewDataObject("SoW_CLUZG_Brokers", {
  type = "data source",
  icon = "Interface\\Addons\\SoW_CatalLevelUpZoneGuide\\Icon\\SoW",
  label = "SoW_CLUZG",
  text = "Zone",
  OnClick = function(self, button, ...)
	  --Click_Event(button)
	end
	

});

f:SetScript("OnEvent", function(this, event, ...)
	local Zone_Text = "";
	if GetRealZoneText() ~= nil then
    Zone_Text = GetRealZoneText() .. " - Lv" .. UnitLevel("player") .. " (" .. string.format("%.2f", UnitXP("player")/UnitXPMax("player")) .. "%)"
  end
  SoW_CLUZG_Broker.text = Zone_Text;
end)

function SoW_CLUZG_Broker.OnEnter(self)
  GameTooltip:SetOwner(self, "ANCHOR_NONE");
  GameTooltip:ClearAllPoints();
  GameTooltip:SetPoint("TOPLEFT", self, "BOTTOMLEFT");
  GameTooltip:ClearLines();
  SoW_CLUZG_LvUpToolTip()
end

function SoW_CLUZG_Broker.OnLeave()
  GameTooltip:Hide()
end